CVE-2022-26661

NameCVE-2022-26661
DescriptionAn XXE issue was discovered in Tryton Application Platform (Server) 5.x through 5.0.45, 6.x through 6.0.15, and 6.1.x and 6.2.x through 6.2.5, and Tryton Application Platform (Command Line Client (proteus)) 5.x through 5.0.11, 6.x through 6.0.4, and 6.1.x and 6.2.x through 6.2.1. An authenticated user can make the server parse a crafted XML SEPA file to access arbitrary files on the system.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2945-1, DLA-2946-1, DSA-5098-1, DSA-5099-1

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tryton-proteus (PTS)stretch4.2.0-1vulnerable
stretch (security)4.2.0-1+deb9u1fixed
buster, buster (security)5.0.1-3+deb10u1fixed
bullseye (security), bullseye5.0.8-1+deb11u1fixed
bookworm, sid6.0.6-1fixed
tryton-server (PTS)stretch4.2.1-2+deb9u1vulnerable
stretch (security)4.2.1-2+deb9u2fixed
buster, buster (security)5.0.4-2+deb10u1fixed
bullseye (security), bullseye5.0.33-2+deb11u1fixed
bookworm, sid6.0.19-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tryton-proteussourcestretch4.2.0-1+deb9u1DLA-2946-1
tryton-proteussourcebuster5.0.1-3+deb10u1DSA-5099-1
tryton-proteussourcebullseye5.0.8-1+deb11u1DSA-5099-1
tryton-proteussource(unstable)6.0.5-1
tryton-serversourcestretch4.2.1-2+deb9u2DLA-2945-1
tryton-serversourcebuster5.0.4-2+deb10u1DSA-5098-1
tryton-serversourcebullseye5.0.33-2+deb11u1DSA-5098-1
tryton-serversource(unstable)6.0.16-1

Notes

https://bugs.tryton.org/issue11219
https://discuss.tryton.org/t/security-release-for-issue11219-and-issue11244/5059

Search for package or bug name: Reporting problems